/* 
 * gnome-keyring
 * 
 * Copyright (C) 2008 Stefan Walter
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#ifndef __GCK_FACTORY_H__
#define __GCK_FACTORY_H__

#include <glib-object.h>

#include "pkcs11/pkcs11.h"

#include "gck-types.h"

typedef GckObject* (*GckFactoryFunc) (GckSession *session, GckTransaction *transaction,
                                      CK_ATTRIBUTE_PTR attrs, CK_ULONG n_attrs);

struct _GckFactory {
	CK_ATTRIBUTE_PTR attrs;
	CK_ULONG n_attrs;
	GckFactoryFunc func;
};

#endif /* __GCK_FACTORY_H__ */
